<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date,attachment"/>
    <x:script src='/biz/topsun/sap/processQuotedPrice/processQuotedPriceDetail.js'/>
</head>
<body>
<x:billTitle title="工序报价申请" needStatus="false" needPerson="true"/>
<form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="id"/>
        <x:hidden name="sId"/>
        <x:hidden name="applyType"/>
        <x:hidden name="billCode"/>
        <x:hidden name="fillinDate" type="datetime"/>
        <x:hidden name="fullId"/>
        <x:hidden name="organId"/>
        <x:hidden name="organName"/>
        <x:hidden name="deptId"/>
        <x:hidden name="deptName"/>
        <x:hidden name="positionId"/>
        <x:hidden name="positionName"/>
        <x:hidden name="personMemberId"/>
        <x:hidden name="statusId"/>
        <x:hidden name="personMemberName"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:hidden name="supplier"/>
            <x:inputC name="supplierName" label="供应商" labelCol="1" fieldCol="2" required="true" wrapper="select"/>
            <x:inputC name="quotedPriceDate" label="报价日期" labelCol="1" fieldCol="2" required="true" wrapper="date"/>
        </div>
        <div class="hg-form-row">
            <x:selectC name="payMethod" label="支付方式" labelCol="1" fieldCol="2" required="true" dictionary="zwels"/>
            <x:hidden name="currency"/>
            <x:inputC name="currencyName" label="币别" labelCol="1" fieldCol="2" required="true" wrapper="select"/>
        </div>
        <div class="hg-form-row">
            <x:textareaC name="remark" label="备注" labelCol="1" fieldCol="11" required="false" rows="3"/>
        </div>
    </div>
    <div class="blank_div clearfix"></div>
    <x:title title="报价单明细" name="group"/>
    <div id="itemGrid" style="margin: 2px;"></div>
    <div class="blank_div clearfix"></div>
    <x:title title="数量区间" name="group"/>
    <div id="itemNumberClickGrid" style="margin: 2px;"></div>
</form>
</body>
</html>
