package com.huigou.topsun.sap.clientMaterials.application;


import com.huigou.topsun.sap.clientMaterials.domain.ClientMaterialsItem;
import com.huigou.topsun.sap.clientMaterials.domain.query.ClientMaterialsQueryRequest;
import com.huigou.topsun.sap.componentSupply.domain.ComponentSupplyItem;
import com.huigou.topsun.sap.componentSupply.domain.query.ComponentSupplyQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: LXH
 * @Date: 2024/07/25/10:35
 * @Description:
 */
public interface ClientMaterialsItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/clientMaterials/clientMaterialsItem.xml";

    void saveClientMaterialsItems(String clientMaterialsId, List<ClientMaterialsItem> items);

    Map<String,Object> queryClientMaterialsItems(ClientMaterialsQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<ClientMaterialsItem> findByClientMaterialsId(String clientMaterialsId);
}
