package com.huigou.topsun.ep.order.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/12/19:15
 * @Description:
 */
@Data
public class EpSaleOrderVo implements Serializable {
    /**
     * 创建人
     */
    @JsonProperty("personCode")
    private String personCode;
    /**
     * 订单类型
     */
    @JsonProperty("orderType")
    private String orderType;

    /**
     * 订单类型描述
     */
    @JsonProperty("orderTypeName")
    private String orderTypeName;

    /**
     * 联系电话长号
     */
    @JsonProperty("telPhoneLong")
    private String telPhoneLong;

    /**
     * 联系电话短号
     */
    @JsonProperty("telPhoneShort")
    private String telPhoneShort;

    /**
     * 售达方
     */
    @JsonProperty("kunnr")
        private String kunnr;

    @JsonProperty("epSaleOrderItemVos")
    private List<EpSaleOrderItemVo> epSaleOrderItemVos;

}
